#include "my_types.h"
#include "hdf5.h"

#ifndef RECORD_HEADER
    #define RECORD_HEADER

	#define PNUM(i,rank,size)  (rank + (size)*(i))
	#define PNEXT(last, rank, size) ((last - rank)/(size) + 1)

	int read_config(config_t* cfg);
	int record(particle_t* p, int num_of_parts,int n);
	int record_hdf5(particle_t* p, int num_of_parts, int n);
	int process_particle_amount (int rank, int processes, int particle_amount);
	particle_t* initial_conditions (int* particle_amount/*, int* error*/);
	// particle_t* initial_conditions (int* particle_amount);


	void hdf5_sruct_array_record (char* array_name, int stuct_size, int element_ammount, void* array, char* attributes, hid_t* file);
	void hdf5_attr_str_to_object(hid_t object_id, char *attr_name, char *str);

	int record_for_spectrum_old(particle_t* p, int num_of_parts,int n);

	void line_skip(FILE *file);

	FILE *file_open_read(char *name);

	int log_analizer(int rank, int size);

#endif